using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Diagnostics;

namespace Mp3Player
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.PictureBox pictureBox1;
		private static bool pauseFlag = false;
		private static bool muteFlag = false;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.TrackBar sldVolume;
		private System.Windows.Forms.Button button7;
		private System.Windows.Forms.Button button6;
		private System.Windows.Forms.TrackBar sldPosition;
		private System.Windows.Forms.Button button5;
		private System.Windows.Forms.Button button4;
		private System.Windows.Forms.Button button3;
		private System.Windows.Forms.Button button2;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.TextBox edtSong;
		private System.Windows.Forms.TextBox edtArtist;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label1;
		private AxMP3PLib.AxMp3P mp3;
		private System.Windows.Forms.GroupBox groupBox1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
			Application.EnableVisualStyles();
			sldPosition.SetRange(0, 100);
			sldVolume.SetRange(0, 100);
			sldVolume.Value = 50;
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.label3 = new System.Windows.Forms.Label();
			this.sldVolume = new System.Windows.Forms.TrackBar();
			this.button7 = new System.Windows.Forms.Button();
			this.button6 = new System.Windows.Forms.Button();
			this.sldPosition = new System.Windows.Forms.TrackBar();
			this.button5 = new System.Windows.Forms.Button();
			this.button4 = new System.Windows.Forms.Button();
			this.button3 = new System.Windows.Forms.Button();
			this.button2 = new System.Windows.Forms.Button();
			this.button1 = new System.Windows.Forms.Button();
			this.edtSong = new System.Windows.Forms.TextBox();
			this.edtArtist = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.mp3 = new AxMP3PLib.AxMp3P();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			((System.ComponentModel.ISupportInitialize)(this.sldVolume)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.sldPosition)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.mp3)).BeginInit();
			this.groupBox1.SuspendLayout();
			this.SuspendLayout();
			// 
			// pictureBox1
			// 
			this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
			this.pictureBox1.Location = new System.Drawing.Point(24, 32);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(200, 80);
			this.pictureBox1.TabIndex = 0;
			this.pictureBox1.TabStop = false;
			this.pictureBox1.Click += new System.EventHandler(this.pictureBox1_Click);
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(272, 88);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(48, 16);
			this.label3.TabIndex = 13;
			this.label3.Text = "Volume:";
			// 
			// sldVolume
			// 
			this.sldVolume.AutoSize = false;
			this.sldVolume.Location = new System.Drawing.Point(312, 88);
			this.sldVolume.Maximum = 100;
			this.sldVolume.Name = "sldVolume";
			this.sldVolume.Size = new System.Drawing.Size(112, 16);
			this.sldVolume.TabIndex = 12;
			this.sldVolume.TickFrequency = 15;
			this.sldVolume.MouseUp += new System.Windows.Forms.MouseEventHandler(this.sldVolume_MouseUp);
			// 
			// button7
			// 
			this.button7.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.button7.Location = new System.Drawing.Point(368, 144);
			this.button7.Name = "button7";
			this.button7.Size = new System.Drawing.Size(48, 23);
			this.button7.TabIndex = 11;
			this.button7.Text = "Open";
			this.button7.Click += new System.EventHandler(this.button7_Click);
			// 
			// button6
			// 
			this.button6.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.button6.Location = new System.Drawing.Point(320, 144);
			this.button6.Name = "button6";
			this.button6.Size = new System.Drawing.Size(48, 23);
			this.button6.TabIndex = 10;
			this.button6.Text = "Mute";
			this.button6.Click += new System.EventHandler(this.button6_Click);
			// 
			// sldPosition
			// 
			this.sldPosition.AutoSize = false;
			this.sldPosition.Location = new System.Drawing.Point(8, 120);
			this.sldPosition.Name = "sldPosition";
			this.sldPosition.Size = new System.Drawing.Size(424, 16);
			this.sldPosition.TabIndex = 9;
			this.sldPosition.TickStyle = System.Windows.Forms.TickStyle.None;
			this.sldPosition.GiveFeedback += new System.Windows.Forms.GiveFeedbackEventHandler(this.sldPosition_GiveFeedback);
			this.sldPosition.LocationChanged += new System.EventHandler(this.sldPosition_LocationChanged);
			this.sldPosition.MouseUp += new System.Windows.Forms.MouseEventHandler(this.sldPosition_MouseUp);
			// 
			// button5
			// 
			this.button5.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.button5.Location = new System.Drawing.Point(216, 144);
			this.button5.Name = "button5";
			this.button5.Size = new System.Drawing.Size(40, 23);
			this.button5.TabIndex = 8;
			this.button5.Text = ">>";
			this.button5.Click += new System.EventHandler(this.button5_Click);
			// 
			// button4
			// 
			this.button4.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.button4.Location = new System.Drawing.Point(168, 144);
			this.button4.Name = "button4";
			this.button4.Size = new System.Drawing.Size(40, 23);
			this.button4.TabIndex = 7;
			this.button4.Text = "[ x ]";
			this.button4.Click += new System.EventHandler(this.button4_Click);
			// 
			// button3
			// 
			this.button3.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.button3.Location = new System.Drawing.Point(120, 144);
			this.button3.Name = "button3";
			this.button3.Size = new System.Drawing.Size(40, 23);
			this.button3.TabIndex = 6;
			this.button3.Text = "| |";
			this.button3.Click += new System.EventHandler(this.button3_Click);
			// 
			// button2
			// 
			this.button2.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.button2.Location = new System.Drawing.Point(72, 144);
			this.button2.Name = "button2";
			this.button2.Size = new System.Drawing.Size(40, 23);
			this.button2.TabIndex = 5;
			this.button2.Text = "| >";
			this.button2.Click += new System.EventHandler(this.button2_Click);
			// 
			// button1
			// 
			this.button1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.button1.Location = new System.Drawing.Point(24, 144);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(40, 23);
			this.button1.TabIndex = 4;
			this.button1.Text = "<<";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// edtSong
			// 
			this.edtSong.Location = new System.Drawing.Point(272, 56);
			this.edtSong.Name = "edtSong";
			this.edtSong.ReadOnly = true;
			this.edtSong.Size = new System.Drawing.Size(152, 20);
			this.edtSong.TabIndex = 3;
			this.edtSong.Text = "";
			// 
			// edtArtist
			// 
			this.edtArtist.Location = new System.Drawing.Point(272, 32);
			this.edtArtist.Name = "edtArtist";
			this.edtArtist.ReadOnly = true;
			this.edtArtist.Size = new System.Drawing.Size(152, 20);
			this.edtArtist.TabIndex = 2;
			this.edtArtist.Text = "";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(232, 64);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(40, 16);
			this.label2.TabIndex = 1;
			this.label2.Text = "Song:";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(232, 40);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(40, 16);
			this.label1.TabIndex = 0;
			this.label1.Text = "Artist:";
			// 
			// mp3
			// 
			this.mp3.ContainingControl = this;
			this.mp3.Enabled = true;
			this.mp3.Location = new System.Drawing.Point(248, 16);
			this.mp3.Name = "mp3";
			this.mp3.OcxState = ((System.Windows.Forms.AxHost.State)(resources.GetObject("mp3.OcxState")));
			this.mp3.Size = new System.Drawing.Size(100, 50);
			this.mp3.TabIndex = 14;
			this.mp3.Visible = false;
			this.mp3.InputPos += new AxMP3PLib._DMp3PEvents_InputPosEventHandler(this.mp3_InputPos);
			// 
			// groupBox1
			// 
			this.groupBox1.Controls.Add(this.label3);
			this.groupBox1.Controls.Add(this.sldVolume);
			this.groupBox1.Controls.Add(this.button7);
			this.groupBox1.Controls.Add(this.button6);
			this.groupBox1.Controls.Add(this.sldPosition);
			this.groupBox1.Controls.Add(this.button5);
			this.groupBox1.Controls.Add(this.edtSong);
			this.groupBox1.Controls.Add(this.edtArtist);
			this.groupBox1.Controls.Add(this.label2);
			this.groupBox1.Controls.Add(this.label1);
			this.groupBox1.Controls.Add(this.mp3);
			this.groupBox1.Controls.Add(this.button4);
			this.groupBox1.Controls.Add(this.button1);
			this.groupBox1.Controls.Add(this.button2);
			this.groupBox1.Controls.Add(this.button3);
			this.groupBox1.Location = new System.Drawing.Point(8, 8);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(440, 184);
			this.groupBox1.TabIndex = 1;
			this.groupBox1.TabStop = false;
			this.groupBox1.Text = "MVS Mp3 Player";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(456, 198);
			this.Controls.Add(this.pictureBox1);
			this.Controls.Add(this.groupBox1);
			this.Name = "Form1";
			this.Text = "Mp3 Player - Moon Valley Software";
			((System.ComponentModel.ISupportInitialize)(this.sldVolume)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.sldPosition)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.mp3)).EndInit();
			this.groupBox1.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.EnableVisualStyles();
			Application.DoEvents();
			Application.Run(new Form1());
		}

		private void button7_Click(object sender, System.EventArgs e)
		{
			OpenFileDialog dlg = new OpenFileDialog();

			if (dlg.ShowDialog() == DialogResult.OK)
				mp3.InputOpen(dlg.FileName);

			mp3.Play();
		}

		private void button5_Click(object sender, System.EventArgs e)
		{
			int amount = (mp3.GetPositionRange() * 5) / 100;

			mp3.Seek(mp3.GetPosition() + amount, mp3.GetPositionRange());
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			int amount = (mp3.GetPositionRange() * 5) / 100;
	
			mp3.Seek(mp3.GetPosition() - amount, mp3.GetPositionRange());
		}

		private void button2_Click(object sender, System.EventArgs e)
		{
			mp3.Play();
		}

		private void button3_Click(object sender, System.EventArgs e)
		{
			if (pauseFlag == true)
			{
				mp3.Play();
				pauseFlag = !pauseFlag;
			}
			else
			{
				mp3.Pause();
				pauseFlag = !pauseFlag;
			}
		}

		private void button4_Click(object sender, System.EventArgs e)
		{
			mp3.Stop();
			sldPosition.Value = 0;
		}

		private void sldPosition_LocationChanged(object sender, System.EventArgs e)
		{
		}

		private void sldPosition_GiveFeedback(object sender, System.Windows.Forms.GiveFeedbackEventArgs e)
		{
		}

		private void sldPosition_MouseUp(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			int pos = sldPosition.Value;
			mp3.Seek(pos, mp3.GetPositionRange());
		}

		private void button6_Click(object sender, System.EventArgs e)
		{
			if (muteFlag == false)
				mp3.OutputMute();
			else
				mp3.OutputUnmute();
				
			muteFlag = !muteFlag;

		}

		private void mp3_InputPos(object sender, AxMP3PLib._DMp3PEvents_InputPosEvent e)
		{
			sldPosition.SetRange(0, e.range);
			sldPosition.Value = e.position;
			edtArtist.Text = mp3.GetTagInfo(1);
			edtSong.Text = mp3.GetTagInfo(0);
		}

		private void sldVolume_MouseUp(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			mp3.Volume(50, 50, (short)sldVolume.Value);
		}

		private void pictureBox1_Click(object sender, System.EventArgs e)
		{
			Process.Start("http://activex.moonvalley.com");		
		}
	}
}
