// MVSMp3PlayerDlg.h : header file
//
//{{AFX_INCLUDES()
#include "mp3p.h"
//}}AFX_INCLUDES

#if !defined(AFX_MVSMP3PLAYERDLG_H__E1FC3CC7_D097_40FF_A16F_2EC8EACBCCA6__INCLUDED_)
#define AFX_MVSMP3PLAYERDLG_H__E1FC3CC7_D097_40FF_A16F_2EC8EACBCCA6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ImageButton.h"

/////////////////////////////////////////////////////////////////////////////
// CMVSMp3PlayerDlg dialog

class CMVSMp3PlayerDlg : public CDialog
{
// Construction
public:
	CMVSMp3PlayerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMVSMp3PlayerDlg)
	enum { IDD = IDD_MVSMP3PLAYER_DIALOG };
	CSliderCtrl	m_position;
	CSliderCtrl	m_volume;
	CImageButton	m_MVSButton;
	CButton	m_open;
	CButton	m_mute;
	CButton	m_forward;
	CButton	m_stop;
	CButton	m_pause;
	CButton	m_play;
	CButton	m_rewind;
	CEdit	m_edtSong;
	CEdit	m_edtArtist;
	CMp3P	m_mp3Ctrl;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMVSMp3PlayerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMVSMp3PlayerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnForward();
	afx_msg void OnRewind();
	afx_msg void OnPlay();
	afx_msg void OnPause();
	afx_msg void OnStop();
	afx_msg void OnOpen();
	afx_msg void OnInputPosMp3pctrl1(long position, long range);
	afx_msg void OnReleasedVolume(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedPosition(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReadyMp3pctrl1();
	afx_msg void OnMute();
	afx_msg void OnLink();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MVSMP3PLAYERDLG_H__E1FC3CC7_D097_40FF_A16F_2EC8EACBCCA6__INCLUDED_)
